/*
 *  This is part of the Zmanim GUI package.
 *  See ZmanimMain.java for details.
 */

package zmanimgui;

import java.awt.Color;
import java.awt.ComponentOrientation;
import java.awt.Image;
import java.awt.Toolkit;
import javax.swing.SwingConstants;


public class ChangeLocation extends javax.swing.JDialog {


    private ZmanimGui main;
    private Boolean save;
    private String language;
    private static Color red = Color.RED;
    private static Color white = Color.WHITE;
    public static String newline = System.getProperty("line.separator");

    /** Creates new form ChangeLocation */
    public ChangeLocation(ZmanimGui maingui, String locationname, double latitude, double longitude, String timezone, double elevation,double candlelightingoffset, String lang) {
        main = maingui;

        initComponents();

        language = lang;
        Image icon = Toolkit.getDefaultToolkit().getImage("icon.png");
        this.setIconImage(icon);

        save = false;

        jLabel7.setVisible(false);
        jLabel8.setVisible(false);
        jLabel9.setVisible(false);
        jLabel10.setVisible(false);

        if (lang.compareTo("Hebrew") == 0)
        {
            setTitle("שינוי מיקום");
            jPanel1.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
            jLabel1.setText("שם המקום (משפיע על התצוגה בלבד):");
            jLabel2.setText("קו רוחב:");
            jLabel3.setText("קו אורך:");
            jLabel4.setText("אזור זמן:");
            jLabel5.setText("גובה:");
            jLabel7.setText("הגובה חייב להיות חיובי");
            jLabel8.setText("קו הרוחב חייב להיות בין -90 ל 90");
            jLabel9.setText("קו האורך חייב להיות בין -180 ל 180");
            jLabel10.setText("הזמן צריך להיות מספר חיובי");
            jButton1.setText("שנה מיקום");
            jButton2.setText("ביטול");
            jCheckBox1.setText("שמור מיקום להפעלה הבאה");
            jCheckBox1.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
            jCheckBox2.setText("חישוב זמן כניסת שבת אחר");
            jLabel6.setText("- דקות לפני שקיעה");
            jCheckBox2.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
            
            jTextField1.setHorizontalAlignment(SwingConstants.RIGHT);
            jTextField2.setHorizontalAlignment(SwingConstants.RIGHT);
            jTextField3.setHorizontalAlignment(SwingConstants.RIGHT);
            jTextField4.setHorizontalAlignment(SwingConstants.RIGHT);
        }

        jTextField1.setText(locationname);
        jTextField2.setText(Double.toString(latitude));
        jTextField3.setText(Double.toString(longitude));
        
        int j = jComboBox1.getItemCount();

        for(int i=j - 1 ; i >= 0 ; i--)
        {
            jComboBox1.setSelectedIndex(i);
            if(jComboBox1.getSelectedItem().toString().compareTo(timezone) == 0)
                i =0 ;
            
        }

        if (candlelightingoffset != 18)
        {
            jCheckBox2.setSelected(true);
            jTextField5.setEnabled(true);
            jLabel6.setEnabled(true);
        }
        jTextField5.setText(Double.toString(candlelightingoffset));

        jTextField4.setText(Double.toString(elevation));
        
    }

    private boolean ispositivedouble(String doub) {
        double number;
        try
        {
            number = Double.parseDouble(doub);
            if (number < 0)
                return false;
        }
        catch(NumberFormatException nfe)
        {
             return false;
        }
        return true;
    }

    private boolean checklatitude(String lat)
    {
        double latitude;
        try
        {
            latitude = Double.parseDouble(lat);
            if ((latitude > 90) || (latitude <  -90) )
                return false;
        }
        catch(NumberFormatException nfe)
        {
             return false;
        }
        return true;
    }

    private boolean checklongitude(String lng) {
        double longitude;
        try
        {
            longitude = Double.parseDouble(lng);
            if ((longitude > 180) || (longitude < -180))
                return false;
        }
        catch(NumberFormatException nfe)
        {
                return false;
        }
        return true;
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        jComboBox1 = new javax.swing.JComboBox(CleanTimeZones.get());
        jLabel3 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jTextField4 = new javax.swing.JTextField();
        jCheckBox1 = new javax.swing.JCheckBox();
        jCheckBox2 = new javax.swing.JCheckBox();
        jTextField5 = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();

        setTitle("Change Location");

        jPanel1.setEnabled(false);

        jLabel1.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("Location name (for display only):");

        jLabel5.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jLabel5.setText("Elevation:");

        jLabel4.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jLabel4.setText("TimeZone:");

        jButton1.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jButton1.setText("change location");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
            }
        });
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jButton2.setText("Cancel");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jLabel2.setText("Latitude:");

        jTextField2.setFont(new java.awt.Font("Nachlieli CLM", 0, 12)); // NOI18N
        jTextField2.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField2FocusLost(evt);
            }
        });

        jTextField3.setFont(new java.awt.Font("Nachlieli CLM", 0, 12)); // NOI18N
        jTextField3.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField3FocusLost(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Nachlieli CLM", 1, 14));
        jLabel3.setText("Longitude:");

        jTextField1.setFont(new java.awt.Font("Nachlieli CLM", 0, 12)); // NOI18N

        jTextField4.setFont(new java.awt.Font("Nachlieli CLM", 0, 12)); // NOI18N
        jTextField4.setText("0");
        jTextField4.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField4FocusLost(evt);
            }
        });

        jCheckBox1.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jCheckBox1.setText("Save this location for next run");
        jCheckBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox1ActionPerformed(evt);
            }
        });

        jCheckBox2.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jCheckBox2.setText("Use custom candle lighting time:");
        jCheckBox2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox2ActionPerformed(evt);
            }
        });

        jTextField5.setFont(new java.awt.Font("Nachlieli CLM", 0, 12)); // NOI18N
        jTextField5.setEnabled(false);
        jTextField5.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField5FocusLost(evt);
            }
        });

        jLabel6.setFont(new java.awt.Font("Nachlieli CLM", 1, 14)); // NOI18N
        jLabel6.setText("- Minutes before Shkiah");
        jLabel6.setEnabled(false);

        jLabel7.setFont(new java.awt.Font("Nachlieli CLM", 1, 12)); // NOI18N
        jLabel7.setForeground(new java.awt.Color(255, 0, 0));
        jLabel7.setText("Elevation must be positive!");

        jLabel8.setFont(new java.awt.Font("Nachlieli CLM", 1, 12)); // NOI18N
        jLabel8.setForeground(new java.awt.Color(255, 0, 0));
        jLabel8.setText("Latitude must be between -90 and 90");

        jLabel9.setFont(new java.awt.Font("Nachlieli CLM", 1, 12)); // NOI18N
        jLabel9.setForeground(new java.awt.Color(255, 0, 0));
        jLabel9.setText("Longitude must be between -180 and 180");

        jLabel10.setFont(new java.awt.Font("Nachlieli CLM", 1, 12)); // NOI18N
        jLabel10.setForeground(new java.awt.Color(255, 0, 0));
        jLabel10.setText("Must be a positive number!");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextField1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 265, Short.MAX_VALUE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 265, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel8)
                        .addGap(36, 36, 36))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 41, Short.MAX_VALUE)
                        .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 27, Short.MAX_VALUE)
                        .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, 171, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jCheckBox1)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jButton2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 56, Short.MAX_VALUE)
                        .addComponent(jButton1))
                    .addComponent(jCheckBox2)
                    .addComponent(jLabel5)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(48, 48, 48)
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 73, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 30, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextField4, javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jComboBox1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(32, 32, 32)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel10)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, 74, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLabel6)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(9, 9, 9)
                .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel9)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel7)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jCheckBox2, javax.swing.GroupLayout.PREFERRED_SIZE, 19, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel6))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel10)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jCheckBox1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton1)
                    .addComponent(jButton2))
                .addGap(24, 24, 24))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 352, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
       
    //Checks if all inputs are legal, and updates the location
    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
       
        Boolean ok = true, sok;
        String LocationName;
        double latitude=0, longitude=0, elevation = 0, offset=0;
        String  timezone;

        //Get location
        LocationName = jTextField1.getText();

        //Get latitude
        if (checklatitude(jTextField2.getText()) == true)
            latitude = Double.parseDouble(jTextField2.getText());
        else
            ok = false;


        //Get longitude
        if (checklongitude(jTextField3.getText()) == true)
            longitude = Double.parseDouble(jTextField3.getText());
        else
            ok = false;

        //Get timezone
        timezone = jComboBox1.getSelectedItem().toString();
        
        //Get elevation
        if (ispositivedouble(jTextField4.getText()) == true)
            elevation = Double.parseDouble(jTextField4.getText());
        else
            ok = false;

        //Get Candle Lighting Offset
        if (ispositivedouble(jTextField5.getText()) == true)
            offset = Double.parseDouble(jTextField5.getText());
        else
            ok = false;

       
      if (ok == true)
      {
          if (save == true)
          {
              main.saveconffile(LocationName, latitude, longitude, timezone, elevation, offset);
              //main.save_confs = true;
          }
          main.SetLocation(LocationName, latitude, longitude, timezone, elevation);
          if(jCheckBox2.isSelected() == true)
            main.SetCandleLightingOffset(offset);
          
          main.ShowZmanim();
          setVisible(false);
      }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
    }//GEN-LAST:event_jButton1MouseClicked

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        setVisible(false);
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox1ActionPerformed
        save = jCheckBox1.isSelected();
    }//GEN-LAST:event_jCheckBox1ActionPerformed

    private void jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox2ActionPerformed
        if ( jCheckBox2.isSelected() == true)
        {
            jTextField5.setEnabled(true);
            jLabel6.setEnabled(true);
        }
        else
        {
            jTextField5.setEnabled(false);
            jLabel6.setEnabled(false);
        }
    }//GEN-LAST:event_jCheckBox2ActionPerformed

    private void jTextField2FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField2FocusLost
        //Validate the input entry:

        if (checklatitude(jTextField2.getText()) != true)
        {
            jTextField2.setBackground(red);
            jLabel8.setVisible(true);
        }
        else
        {
            jTextField2.setBackground(white);
            jLabel8.setVisible(false);
        }
    }//GEN-LAST:event_jTextField2FocusLost

    private void jTextField3FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField3FocusLost
        if (checklongitude(jTextField3.getText()) != true)
        {
            jTextField3.setBackground(red);
            jLabel9.setVisible(true);
        }
        else
        {
            jTextField3.setBackground(white);
            jLabel9.setVisible(false);
        }
    }//GEN-LAST:event_jTextField3FocusLost

    private void jTextField4FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField4FocusLost
        if (ispositivedouble(jTextField4.getText()) != true)
        {
            jTextField4.setBackground(red);
            jLabel7.setVisible(true);
        }
        else
        {
            jTextField4.setBackground(white);
            jLabel7.setVisible(false);
        }
    }//GEN-LAST:event_jTextField4FocusLost

    private void jTextField5FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField5FocusLost
        if (ispositivedouble(jTextField5.getText()) != true)
        {
            jTextField5.setBackground(red);
            jLabel10.setVisible(true);
        }
        else
        {
            jTextField5.setBackground(white);
            jLabel10.setVisible(false);
        }
}//GEN-LAST:event_jTextField5FocusLost
    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    // End of variables declaration//GEN-END:variables
  
    
}
